Eclipse Platform Release 3.7

## org.eclipse.equinox.http.servlet
Class HttpServiceServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.eclipse.equinox.http.servlet.internal.ProxyServlet
                  org.eclipse.equinox.http.servlet.HttpServiceServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class HttpServiceServlet

extends org.eclipse.equinox.http.servlet.internal.ProxyServlet

The HttpServiceServlet is the "public" side of a Servlet that when registered (and init() called) in a servlet container will in-turn register and provide an OSGi Http Service implementation. This class is not meant for extending or even using directly and is purely meant for registering in a servlet container.

See Also:
  Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`HttpServiceServlet()`

Method Summary

Methods inherited from class org.eclipse.equinox.http.servlet.internal.ProxyServlet
`destroy, init, registerFilter, service, unregisterFilter`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServiceServlet

    public HttpServiceServlet()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.